Bug 15082 - xorg/app/xfs - Compile warning fixes
Summary: xorg/app/xfs - Compile warning fixes
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xfs (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: janitor, patch
Depends on:
Blocks:
 
Reported: 2008-03-16 15:53 UTC by Paulo César Pereira de Andrade
Modified: 2011-10-15 16:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
0001-Compile-warning-fixes.patch (1.61 KB, patch)
2008-03-16 15:53 UTC, Paulo César Pereira de Andrade
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo César Pereira de Andrade 2008-03-16 15:53:49 UTC
Created attachment 15213 [details] [review]
0001-Compile-warning-fixes.patch

Add prototype for function from libXfont and comment the source of the
function.
  Don't redeclare FONT_t, TRANS_SERVER and TRANS_REOPEN as it is now defined
as a compiler command line option.
Comment 1 Alan Coopersmith 2008-12-19 18:50:11 UTC
Oops, I'd forgotten about this patch and have already fixed two of the three
issues:

commit cbd9f1b5b36789474788ca6ff60ccbaee4969ff1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 5 08:54:43 2008 -0800

    Clear warnings about redefining command-line -D values in xfstrans.c

commit b02fa1750fa20cb1784a16cd2402a303146f8c99
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 5 08:51:18 2008 -0800

    os/daemon.c:100: warning: old-style parameter declaration


The remaining issue is the missing prototype for SnfSetFormat, which it
seems libXfont should be exporting in one of it's headers.
Comment 2 Paulo César Pereira de Andrade 2009-01-26 21:33:04 UTC
Already corrected in git master.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.